1

Anyone know how to get in touch with the devs behind the Polkadot Ledger app? I am having issues with the Ledger Nano S Plus when using Polkadot.js web extension? When I try to sign, I get this error:

Ledger error: Failed to execute 'requestDevice' on 'USB': Must be handling a user gesture to show a permission request

I have the latest firmware and app versions. And it is not a hardware issue since it works with LedgerLive for Polkadot, and the apps for other protocols(Eth/Solana/etc) all work. It is a app specific issue related to version 12.9180.1, which is used for the Nano S Plus. The version available for the regular Nano S, 12.9180.0, works fine.

I have spoken to the Ledger team, and they asked that I reach out to the app dev team. But how? Any help in pointing me to the right direction appreciated!!

7

2 Answers 2

1

Can you try the following?

  1. Open the extension in a new window (it's under the Settings menu with the gear icon)
  2. Try to make a transaction from your Ledger account. This time you should get an "Unable to claim interface" error.
  3. Close the extension window and try the transaction again. This time it should work.

I tried several things after reproducing this on my Nano X, so perhaps I've missed a step, but it seems it's an extension issue and what got the extension going again was opening it in a new window.

Let me know if this worked.

0

Raw data signing is not supported for hardware wallets Ledger. https://polkadot.js.org/apps/#/signing

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.